RTEMS: CTU_struct_tag Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
CTU_struct_tag Struct Reference

## Data Fields
CTU_TGSISR_32B_tag | TGSISR
CTU_TGSCR_16B_tag | TGSCR
union {
CTU_TCR_16B_tag TCR [8]
struct {
CTU_TCR_16B_tag T0CR
CTU_TCR_16B_tag T1CR
CTU_TCR_16B_tag T2CR
CTU_TCR_16B_tag T3CR
CTU_TCR_16B_tag T4CR
CTU_TCR_16B_tag T5CR
CTU_TCR_16B_tag T6CR
CTU_TCR_16B_tag T7CR
} |
}; |
CTU_TGSCCR_16B_tag | TGSCCR
CTU_TGSCRR_16B_tag | TGSCRR
int8_t | CTU_reserved_001A [2]
CTU_CLCR1_32B_tag | CLCR1
CTU_CLCR2_32B_tag | CLCR2
CTU_THCR1_32B_tag | THCR1
CTU_THCR2_32B_tag | THCR2
union {
CTU_CLR_SCM_16B_tag CLR [24]
CTU_CLR_SCM_16B_tag CLR_SCM [24]
CTU_CLR_DCM_16B_tag CLR_DCM [24]
struct {
CTU_CLR_SCM_16B_tag CLR_SCM1
CTU_CLR_SCM_16B_tag CLR_SCM2
CTU_CLR_SCM_16B_tag CLR_SCM3
CTU_CLR_SCM_16B_tag CLR_SCM4
CTU_CLR_SCM_16B_tag CLR_SCM5
CTU_CLR_SCM_16B_tag CLR_SCM6
CTU_CLR_SCM_16B_tag CLR_SCM7
CTU_CLR_SCM_16B_tag CLR_SCM8
CTU_CLR_SCM_16B_tag CLR_SCM9
CTU_CLR_SCM_16B_tag CLR_SCM10
CTU_CLR_SCM_16B_tag CLR_SCM11
CTU_CLR_SCM_16B_tag CLR_SCM12
CTU_CLR_SCM_16B_tag CLR_SCM13
CTU_CLR_SCM_16B_tag CLR_SCM14
CTU_CLR_SCM_16B_tag CLR_SCM15
CTU_CLR_SCM_16B_tag CLR_SCM16
CTU_CLR_SCM_16B_tag CLR_SCM17
CTU_CLR_SCM_16B_tag CLR_SCM18
CTU_CLR_SCM_16B_tag CLR_SCM19
CTU_CLR_SCM_16B_tag CLR_SCM20
CTU_CLR_SCM_16B_tag CLR_SCM21
CTU_CLR_SCM_16B_tag CLR_SCM22
CTU_CLR_SCM_16B_tag CLR_SCM23
CTU_CLR_SCM_16B_tag CLR_SCM24
} |
struct {
CTU_CLR_DCM_16B_tag CLR_DCM1
CTU_CLR_DCM_16B_tag CLR_DCM2
CTU_CLR_DCM_16B_tag CLR_DCM3
CTU_CLR_DCM_16B_tag CLR_DCM4
CTU_CLR_DCM_16B_tag CLR_DCM5
CTU_CLR_DCM_16B_tag CLR_DCM6
CTU_CLR_DCM_16B_tag CLR_DCM7
CTU_CLR_DCM_16B_tag CLR_DCM8
CTU_CLR_DCM_16B_tag CLR_DCM9
CTU_CLR_DCM_16B_tag CLR_DCM10
CTU_CLR_DCM_16B_tag CLR_DCM11
CTU_CLR_DCM_16B_tag CLR_DCM12
CTU_CLR_DCM_16B_tag CLR_DCM13
CTU_CLR_DCM_16B_tag CLR_DCM14
CTU_CLR_DCM_16B_tag CLR_DCM15
CTU_CLR_DCM_16B_tag CLR_DCM16
CTU_CLR_DCM_16B_tag CLR_DCM17
CTU_CLR_DCM_16B_tag CLR_DCM18
CTU_CLR_DCM_16B_tag CLR_DCM19
CTU_CLR_DCM_16B_tag CLR_DCM20
CTU_CLR_DCM_16B_tag CLR_DCM21
CTU_CLR_DCM_16B_tag CLR_DCM22
CTU_CLR_DCM_16B_tag CLR_DCM23
CTU_CLR_DCM_16B_tag CLR_DCM24
} |
}; |
int8_t | CTU_reserved_005C [16]
CTU_CR_16B_tag | CR
int8_t | CTU_reserved_006E [2]
CTU_FCR_32B_tag | FCR
CTU_TH1_32B_tag | TH1
CTU_TH2_32B_tag | TH2
union {
CTU_STS_32B_tag STS
CTU_STS_32B_tag STATUS
}; |
union {
CTU_FRA_32B_tag FRA [8]
CTU_FR_32B_tag FR [8]
struct {
CTU_FR_32B_tag FR0
CTU_FR_32B_tag FR1
CTU_FR_32B_tag FR2
CTU_FR_32B_tag FR3
CTU_FR_32B_tag FR4
CTU_FR_32B_tag FR5
CTU_FR_32B_tag FR6
CTU_FR_32B_tag FR7
} |
}; |
union {
CTU_FLA_32B_tag FLA [8]
CTU_FL_32B_tag FL [8]
struct {
CTU_FL_32B_tag FL0
CTU_FL_32B_tag FL1
CTU_FL_32B_tag FL2
CTU_FL_32B_tag FL3
CTU_FL_32B_tag FL4
CTU_FL_32B_tag FL5
CTU_FL_32B_tag FL6
CTU_FL_32B_tag FL7
} |
}; |
CTU_CTUEFR_16B_tag | CTUEFR
CTU_CTUIFR_16B_tag | CTUIFR
CTU_CTUIR_16B_tag | CTUIR
CTU_COTR_16B_tag | COTR
CTU_CTUCR_16B_tag | CTUCR
union {
CTU_FILTER_16B_tag FILTER
CTU_FILTER_16B_tag CTUFILTER
}; |
CTU_EXPECTED_A_16B_tag | EXPECTED_A
CTU_EXPECTED_B_16B_tag | EXPECTED_B
CTU_CNT_RANGE_16B_tag | CNT_RANGE

The documentation for this struct was generated from the following file:

- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc564xL.h